> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# wallet opwaarderen

> factureringsopwaardeersessie maken

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json POST /v1/public/accounts/{account_id}/billing/topup-session
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/topup-session:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: factureringsopwaardeersessie maken
      description: Maakt een opwaardeersessie voor de klantwallet.
      operationId: >-
        create_public_billing_topup_session_v1_public_accounts__account_id__billing_topup_session_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletTopupSessionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletTopupSessionResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    WalletTopupSessionRequest:
      description: Klantaanvraagschema voor het starten van een wallet-opwaardeersessie.
      properties:
        amount:
          anyOf:
            - exclusiveMinimum: 0
              type: number
            - pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
              type: string
          description: Opwaardeerbedrag
          title: Bedrag
      required:
        - amount
      title: WalletTopupSessionRequest
      type: object
    WalletTopupSessionResponse:
      properties:
        amount:
          description: Opwaardeerbedrag
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Bedrag
          type: string
        hosted_page:
          additionalProperties: true
          description: Gehoste metadata van de betalingspagina
          title: Gehoste pagina
          type: object
      required:
        - amount
        - hosted_page
      title: WalletTopupSessionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````